border.bot
Docs menu

API reference

API reference

Set default target markets

POST https://api.border.bot/v1/catalog/markets

Requires an API key (Authorization: Bearer bb_live_…).

Replaces the workspace’s default markets. Free.

API key scope: settings.

Request body (JSON)#

Name Type Required Description
markets string[] yes

Responses#

  • 200: The markets. (CatalogMarketsResponse)
  • 400: Invalid input (invalid_input). (Error)
  • 401: Missing, invalid, revoked or expired API key (unauthorized). (Error)
  • 403: The API key doesn’t have the settings scope (forbidden, details.reason: "missing_scope"). (Error)
  • 429: Rate limited (rate_limited). Retry after Retry-After seconds; RateLimit says which limit was hit (r=0, t seconds until its window ends) and RateLimit-Policy its quota. (Error)
  • 500: Unexpected error (internal). (Error)

Example#

bash
curl -X POST 'https://api.border.bot/v1/catalog/markets' \
  -H 'Authorization: Bearer bb_live_...' \
  -H 'Content-Type: application/json' \
  -d '{"markets":["US","GB","DE","CA"]}'